RDKit: RDKit::ForceFieldsHelper Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Functions
RDKit::ForceFieldsHelper Namespace Reference

## Namespaces
namespace | detail

## Functions
std::pair< int, double > | OptimizeMolecule (ForceFields::ForceField &ff, int maxIters=1000)
void | OptimizeMoleculeConfs (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double > > &res, int numThreads=1, int maxIters=1000)
std::unique_ptr< ForceFields::ForceField > | createEmptyForceFieldForMol (ROMol &mol, int confId=-1)
void RDKIT_FORCEFIELD_EXPORT | normalizeAngleDeg (double &angleDeg)
void RDKIT_FORCEFIELD_EXPORT | computeDihedral (const RDGeom::PointPtrVect &pos, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double *dihedral=nullptr, double *cosPhi=nullptr, RDGeom::Point3D r[4]=nullptr, RDGeom::Point3D t[2]=nullptr, double d[2]=nullptr)
void RDKIT_FORCEFIELD_EXPORT | computeDihedral (const double *pos, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double *dihedral=nullptr, double *cosPhi=nullptr, RDGeom::Point3D r[4]=nullptr, RDGeom::Point3D t[2]=nullptr, double d[2]=nullptr)
void RDKIT_FORCEFIELD_EXPORT | computeDihedral (const RDGeom::Point3D *p1, const RDGeom::Point3D *p2, const RDGeom::Point3D *p3, const RDGeom::Point3D *p4, double *dihedral=nullptr, double *cosPhi=nullptr, RDGeom::Point3D r[4]=nullptr, RDGeom::Point3D t[2]=nullptr, double d[2]=nullptr)

## Function Documentation

## ◆ computeDihedral() [1/3]

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::computeDihedral | ( | const double * | pos,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | double * | dihedral = nullptr,
|  | double * | cosPhi = nullptr,
|  | RDGeom::Point3D | r[4] = nullptr,
|  | RDGeom::Point3D | t[2] = nullptr,
|  | double | d[2] = nullptr )

References RDKIT_FORCEFIELD_EXPORT.

## ◆ computeDihedral() [2/3]

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::computeDihedral | ( | const RDGeom::Point3D * | p1,
|  | const RDGeom::Point3D * | p2,
|  | const RDGeom::Point3D * | p3,
|  | const RDGeom::Point3D * | p4,
|  | double * | dihedral = nullptr,
|  | double * | cosPhi = nullptr,
|  | RDGeom::Point3D | r[4] = nullptr,
|  | RDGeom::Point3D | t[2] = nullptr,
|  | double | d[2] = nullptr )

## ◆ computeDihedral() [3/3]

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::computeDihedral | ( | const RDGeom::PointPtrVect & | pos,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | double * | dihedral = nullptr,
|  | double * | cosPhi = nullptr,
|  | RDGeom::Point3D | r[4] = nullptr,
|  | RDGeom::Point3D | t[2] = nullptr,
|  | double | d[2] = nullptr )

References RDKIT_FORCEFIELD_EXPORT.

## ◆ createEmptyForceFieldForMol()

std::unique_ptr< ForceFields::ForceField > RDKit::ForceFieldsHelper::createEmptyForceFieldForMol | ( | ROMol & | mol,
|  | int | confId = -1 )
| inline

Convenience Function for generating an empty force Field with just the molecules' atoms position.

Definition at line 137 of file FFConvenience.h.

References RDKit::ROMol::getConformer().

## ◆ normalizeAngleDeg()

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::normalizeAngleDeg | ( | double & | angleDeg | ) |

References RDKIT_FORCEFIELD_EXPORT.

## ◆ OptimizeMolecule()

std::pair< int, double > RDKit::ForceFieldsHelper::OptimizeMolecule | ( | ForceFields::ForceField & | ff,
|  | int | maxIters = 1000 )
| inline

Convenience function for optimizing a molecule using a pre-generated force-field

Definition at line 94 of file FFConvenience.h.

References ForceFields::ForceField::calcEnergy(), ForceFields::ForceField::initialize(), and ForceFields::ForceField::minimize().

Referenced by RDKit::MMFF::MMFFOptimizeMolecule(), and RDKit::UFF::UFFOptimizeMolecule().

## ◆ OptimizeMoleculeConfs()

void RDKit::ForceFieldsHelper::OptimizeMoleculeConfs | ( | ROMol & | mol,
|  | ForceFields::ForceField & | ff,
|  | std::vector< std::pair< int, double > > & | res,
|  | int | numThreads = 1,
|  | int | maxIters = 1000 )
| inline

Convenience function for optimizing all of a molecule's conformations using a pre-generated force-field

Definition at line 115 of file FFConvenience.h.

References RDKit::ROMol::getNumConformers(), RDKit::getNumThreadsToUse(), and RDKit::ForceFieldsHelper::detail::OptimizeMoleculeConfsST().

Referenced by RDKit::MMFF::MMFFOptimizeMoleculeConfs(), and RDKit::UFF::UFFOptimizeMoleculeConfs().